Workplace Tech 5.9.3 / Workplace Tech Editor (EBO) Microsoft Security Updates required for Visio and Office

Issue

WPT 5.9.3 and WPTE require certain Microsoft Security updates for Visio and for Office running on the host machines.  Different and various functions in the fluent ribbon do not work or the ribbon does not appear.

Product Line

TAC I/A Series, SmartStruxure Solution

Environment

Visio 2010, 2013, 2016

Office 2010, 2013, 2016

Support for Workplace Tech 5.9.3 and Workplace Tech Editor

Cause

Interoperability of Visio and Office can cause problems with Workplace Tech and Workplace Tech Editor if these MS16-70 upgrades are not applied.

Resolution

Install the updates from Microsoft Security Bulletin MS-16-70

Visio 2010 32 bit KB3114872       Office 2010  KB3115198 select 32 bit or 64 bit depending on what is installed

Visio 2013 32 bit KB3115020       Office 2013  KB3115173 select 32 bit or 64 bit depending on what is installed

Visio 2016 32 bit KB3115041       Office 2016  KB3115144 select 32 bit or 64 bit depending on what is installed